The icon-ok/icon-error png is not shown in the administration/information page
2024-06-12 19:02 - Hidehisa Matsutan

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Administration Estimated time: 0.00 hour

Target version:

Resolution: Affected version:

Description

It seems the asset pipeline urls are not correct when Redmine is installed in the subdirectory.

Symptoms

The icon-ok/icon-error png is not shown in the administration/information page after the incorporation with the asset pipeline feature
of propshaft.

| installed RedMica 3.0.0, which is already incorporated the feature, the icons are not shown in the administration/information page

shown below:

clipboard-202406130126-ruvu9.png
On the other hand, they are correctly shown when | use Redmine 5.1.2, which is shown below:

clipboard-202406130128-u7zgp.png
Analysis

| tried to grep 'icon-ok' and found it matches with:
public/assets/application-6a7b9ce7ac98b00c12d3fa359072e1b178cc95b0.css:.icon-ok { background-image
: url("/assets/true-e804d786299ef1936fe780b308acl83a2bbbel0b.png"); }

Then, | found that /var/lib/redmine/public/assets/true-e804d786299ef1936fe780b308ac183a2bbbe00b.png is exists.

In addition | accessed the icon-ok from web browser with
http://<redmine-server>/redmine/assets/true-e804d786299ef1936fe780b308ac183a2bbbe00b.png and it is shown correctly.

It seems the asset is correctly put in the server.

Next | tried to take a look at access_log of httpd.

When | accessed the adminstration/information, the log shows like below:

XXX XXX XXX XXX — — [12/Jun/2024:03:32:24 +0000] "GET /assets/true-e804d786299ef1936fe780b308ac183
a2bbbe00b.png HTTP/1.1" 404 196

it means that the asset file is not found(404)

whereas | accessed the asset directly, the log shows like below:

XXX XXX XXX XXX — — [12/Jun/2024:16:45:27 +0000] "GET /redmine/assets/true-e804d786299ef1936fe780b
308acl83a2bbbel00b.png HTTP/1.1" 200 248

it means that the asset file is found successfully(200)

Please take a look at the difference of each logs.

It shows that:

e In the failure case: GET /assets/true.png is not found(404)
® |n the success case: GET /redmine/assets/true.png is successfully found(200)

e Redmine is installed in the url @http://<redmine.ip>/redmi

So, the urls for the assets is not correct, which seems a defect.

It seems the asset pipeline urls are not correct when Redmine is installed in the subdirectory.

ne

History

#1 - 2024-06-20 14:01 - Go MAEDA
- File clipboard-202406202052-p8muu.png added
- File clipboard-202406202053-3sucl.png added

At present, | am unable to reproduce the issue. Icons are displayed normally.

My test environment is deployed in the '/sandbox' subdirectory using Passenger.

clipboard-202406202052-p8muu.png
clipboard-202406202053-3sucl.png

#2 - 2024-07-07 17:57 - Hidehisa Matsutani
- File clipboard-202407080046-xak2x.png added

As Maeda-san said via X, | did bin/rails assets:clobber assets:precompile RAILS_ENV=production RAILS_RELATIVE_URL_ROOT=/redmine,

restarted httpd, refreshed the browser cache, then the page was successfully shown. Thank you for the help, Maeda-san

clipboard-202407080046-xak2x.png

#3 - 2024-07-16 17:07 - Go MAEDA

- Status changed from New to Closed

Thank you for your feedback. Closing.
